'''Automatic syslog reporting of unhandled errors'''
__revision__ = '$Revision$'

import sys
from syslog import syslog, LOG_ERR
from traceback import extract_tb

def syslog_tb(arg1, arg2, arg3):
    '''Traceback handler'''
    errstr = ""
    for line in extract_tb(arg3):
        errstr += '  File "%s", line %i, in %s\n    %s\n' % line
    errstr += "%s: %s\n" % (arg1, arg2)
    syslog(LOG_ERR, errstr)

def enable():
    '''Turn on syslog reporting'''
    sys.excepthook = syslog_tb


