#include<ssslib.h>
#include<stdlib.h>
#include<stdio.h>

struct auth_basic_state {
  int sss_errno;
  int debug;
  void *transport;
};

void *auth_basic_LTX_auth_getstate(SSS_ConfigDict cfg,int debug,void *transport){
  struct auth_basic_state *ret;

  if (debug)
    printf("auth_basic: starting init\n");

  ret = malloc(sizeof(struct auth_basic_state));

  ret->transport = transport;
  ret->debug = debug;

  if (debug)
    printf("auth_basic: successful init\n");

  return ret;
}

int auth_basic_LTX_cli_auth(void *auth_state){
  struct auth_basic_state *state = auth_state;
  if (state->debug)
    printf("auth_basic: authentication successful\n");
  return 0;
}

int auth_basic_LTX_serv_auth(void *auth_state){
  struct auth_basic_state *state = auth_state;
  if (state->debug)
    printf("auth_basic: authentication successful\n");
  return 0;
}

int auth_basic_LTX_auth_close(void *auth_state){
  int debug;
  struct auth_basic_state *state = auth_state;
  debug = state->debug;
  free(auth_state);
  if (debug)
    printf("auth_basic: successful close\n");
  return 0;
}

